%global modname flask
%global srcname Flask

%bcond_without docs

Name:           python-flask
Version:        1.1.2
Release:        %mkrel 1
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions
Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/flask/
Source0:        https://pypi.python.org/packages/source/F/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(werkzeug)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(itsdangerous)
BuildRequires:  python3dist(click)

%description
A microframework based on Werkzeug, Jinja2 and good intentions.

%package -n     python3-%{modname}
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions
Group:          Development/Python
%{?python_provide:%python_provide python3-%{modname}}
Obsoletes:	python2-%{modname} < 1.1.1-2

%description -n python3-%{modname}
A microframework based on Werkzeug, Jinja2 and good intentions.

%if %{with docs}
%package doc
Summary:        Documentation for %{name}
Obsoletes:      python3-%{modname}-doc < 1:0.11.1-3
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pallets-sphinx-themes)
BuildRequires:  python3dist(sphinxcontrib-log-cabinet)
BuildRequires:  python3dist(sphinx-issues)

%description doc
Documentation and examples for %{name}.
%endif

%prep
%autosetup -n %{srcname}-%{version}

# drop bundled egg-info
rm -rf Flask.egg-info/

%build
%py3_build

%if %{with docs}
PYTHONPATH=$(pwd)/src sphinx-build -b html docs/ docs/_build/html/
rm -rf docs/_build/html/{.buildinfo,.doctrees}
%endif

%install
%py3_install

%files -n python3-%{modname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{_bindir}/%{modname}*
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/flask

%if %{with docs}
%files doc
%license LICENSE.rst
%doc docs/_build/html examples
%endif


%changelog
* Fri May 01 2020 daviddavid <daviddavid> 1.1.2-1.mga8
+ Revision: 1577408
- new version: 1.1.2

* Sun Feb 16 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1531761
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.1.1-2.mga8
+ Revision: 1439792
- rebuild for python3.8
- drop python2 support

* Mon Aug 19 2019 wally <wally> 1.1.1-1.mga8
+ Revision: 1429972
- new version 1.1.1
- enable doc build

* Fri Apr 19 2019 wally <wally> 1.0.2-1.mga7
+ Revision: 1393372
- new version 1.0.2
- disable doc build for now

* Mon Jan 07 2019 ngompa <ngompa> 0.12.2-7.mga7
+ Revision: 1350307
- Rebuild for Python 3.7
- Modernize Python BRs
- Use python3-sphinx for building documentation

* Thu Sep 20 2018 umeabot <umeabot> 0.12.2-6.mga7
+ Revision: 1288900
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 daviddavid <daviddavid> 0.12.2-5.mga7
+ Revision: 1179873
- fix auto-requires: python-flask-doc does not provides python-pytest-runner

* Tue Aug 08 2017 daviddavid <daviddavid> 0.12.2-4.mga7
+ Revision: 1138791
- provides python-flask

* Sun Aug 06 2017 joequant <joequant> 0.12.2-3.mga7
+ Revision: 1137889
- update package names

* Fri Aug 04 2017 joequant <joequant> 0.12.2-2.mga7
+ Revision: 1134894
- upgrade to python 3.6

* Sun Jul 30 2017 joequant <joequant> 0.12.2-1.mga7
+ Revision: 1132831
- update to 0.12.2

* Fri Feb 19 2016 umeabot <umeabot> 0.10.1-9.mga6
+ Revision: 970624
- Mageia 6 Mass Rebuild

* Thu Nov 06 2014 joequant <joequant> 0.10.1-8.mga6
+ Revision: 795912
- python3 support

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-7.mga5
+ Revision: 747925
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.10.1-6.mga5
+ Revision: 728517
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-5.mga5
+ Revision: 688033
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.10.1-3.mga4
+ Revision: 543515
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.1-2.mga4
+ Revision: 498610
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.10.1-1.mga4
+ Revision: 460855
- imported package python-flask

